-- By D4KiR

function D4_HP.InitSetting()
	local D4HP_Settings = {}
	D4HP_Settings.panel = CreateFrame("Frame", "D4HP_Settings", UIParent)
	D4HP_Settings.panel.name = D4_HP.colorauthor .. D4_HP.author .. " " .. D4_HP.colorname .. D4_HP.name

	local Y = -10

	local settings_header = {}
	settings_header.frame = D4HP_Settings.panel
	settings_header.parent = D4HP_Settings.panel
	settings_header.x = 10
	settings_header.y = Y
	settings_header.text = D4_HP.colorauthor .. D4_HP.author .. " " .. D4_HP.colorname .. D4_HP.name
	settings_header.textsize = 24
	D4_HP.CreateText(settings_header)
	Y = Y - 30

	local settings_aggro = {}
	settings_aggro.name = "aggro"
	settings_aggro.parent = D4HP_Settings.panel
	settings_aggro.checked = D4HP.AGGRO
	settings_aggro.text = "aggro"
	settings_aggro.x = 10
	settings_aggro.y = Y
	settings_aggro.dbvalue = "AGGRO"
	D4_HP.CreateCheckBox(settings_aggro)
	Y = Y - 40

	local settings_aggro_percentage = {}
	settings_aggro_percentage.name = "underhealthprintmessage"
	settings_aggro_percentage.parent = D4HP_Settings.panel
	settings_aggro_percentage.text = "underhealthprintmessage"
	settings_aggro_percentage.x = 10 + 30
	settings_aggro_percentage.y = Y
	settings_aggro_percentage.min = 30
	settings_aggro_percentage.max = 100
	settings_aggro_percentage.value = D4HP.AGGROPercentage
	settings_aggro_percentage.dbvalue = "AGGROPercentage"
	D4_HP.CreateSlider(settings_aggro_percentage)
	Y = Y - 20

	Y = Y - 50
	local settings_oom = {}
	settings_oom.name = "outofmana"
	settings_oom.parent = D4HP_Settings.panel
	settings_oom.checked = D4HP.OOM
	settings_oom.text = "outofmana"
	settings_oom.x = 10
	settings_oom.y = Y
	settings_oom.dbvalue = "OOM"
	D4_HP.CreateCheckBox(settings_oom)
	Y = Y - 40

	local settings_oom_percentage = {}
	settings_oom_percentage.name = "undermanaprintmessage"
	settings_oom_percentage.parent = D4HP_Settings.panel
	settings_oom_percentage.text = "undermanaprintmessage"
	settings_oom_percentage.x = 10 + 30
	settings_oom_percentage.y = Y
	settings_oom_percentage.min = 1
	settings_oom_percentage.max = 10
	settings_oom_percentage.value = D4HP.OOMPercentage
	settings_oom_percentage.dbvalue = "OOMPercentage"
	D4_HP.CreateSlider(settings_oom_percentage)
	Y = Y - 20

	Y = Y - 50
	local settings_nearoom = {}
	settings_nearoom.name = "nearoutofmana"
	settings_nearoom.parent = D4HP_Settings.panel
	settings_nearoom.checked = D4HP.NEAROOM
	settings_nearoom.text = "nearoutofmana"
	settings_nearoom.x = 10
	settings_nearoom.y = Y
	settings_nearoom.dbvalue = "NEAROOM"
	D4_HP.CreateCheckBox(settings_nearoom)
	Y = Y - 40

	local settings_nearoom_percentage = {}
	settings_nearoom_percentage.name = "undermanaprintmessage"
	settings_nearoom_percentage.parent = D4HP_Settings.panel
	settings_nearoom_percentage.text = "undermanaprintmessage"
	settings_nearoom_percentage.x = 10 + 30
	settings_nearoom_percentage.y = Y
	settings_nearoom_percentage.min = 11
	settings_nearoom_percentage.max = 30
	settings_nearoom_percentage.value = D4HP.NEAROOMPercentage
	settings_nearoom_percentage.dbvalue = "NEAROOMPercentage"
	D4_HP.CreateSlider(settings_nearoom_percentage)
	Y = Y - 20

	InterfaceOptions_AddCategory(D4HP_Settings.panel)
end
